Final feedback
Closing feedback the staff writes for each student.
My final feedback in a class
GET /me/turmas/{turmaId}/feedback-final
Access: Any signed-in person. Rate limit: up to 600 calls every 60 s per origin. Success status: 200.
Path parameters
| Parameter | Type | Required | Constraints | Description |
|---|---|---|---|---|
turmaId | string (uuid) | yes | Class id. |
Response
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
turma | object | yes | ||
turma.id | string (uuid) | yes | ||
turma.nome | string | yes | ||
liberado | boolean | yes | ||
liberaEm | Data or null | yes | ||
criterios | list of CriterioDto | yes | ||
feedbacks | list of FeedbackFinalDto | yes |
On error: ErroApi model.
Example
curl -X GET "$API/me/turmas/{turmaId}/feedback-final" -H "Authorization: Bearer $TOKEN"List the class's final feedback, by student
GET /turmas/{turmaId}/feedback-final
Access: Requires the capability LER over class (params.turmaId). Success status: 200.
Path parameters
| Parameter | Type | Required | Constraints | Description |
|---|---|---|---|---|
turmaId | string (uuid) | yes | Class id. |
Response
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
turma | object | yes | ||
turma.id | string (uuid) | yes | ||
turma.nome | string | yes | ||
turma.dataInicio | Data or null | yes | ||
turma.dataFim | Data or null | yes | ||
janela | JanelaFeedback | yes | ||
podeEscrever | boolean | yes | ||
verTudo | boolean | yes | ||
itens | list of object | yes | ||
itens[].matriculaId | string (uuid) | yes | ||
itens[].aluno | object | yes | ||
itens[].aluno.id | string (uuid) | yes | ||
itens[].aluno.nome | string | yes | ||
itens[].meuEm | string or null | yes |
On error: ErroApi model.
Example
curl -X GET "$API/turmas/{turmaId}/feedback-final" -H "Authorization: Bearer $TOKEN"Read a student's final feedback
GET /turmas/{turmaId}/matriculas/{matriculaId}/feedback-final
Access: Requires the capability LER over class (params.turmaId). Success status: 200.
Path parameters
| Parameter | Type | Required | Constraints | Description |
|---|---|---|---|---|
matriculaId | string (uuid) | yes | Enrollment id. | |
turmaId | string (uuid) | yes | Class id. |
Response
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
matriculaId | string (uuid) | yes | ||
turma | object | yes | ||
turma.id | string (uuid) | yes | ||
turma.nome | string | yes | ||
turma.dataInicio | Data or null | yes | ||
turma.dataFim | Data or null | yes | ||
aluno | object | yes | ||
aluno.id | string (uuid) | yes | ||
aluno.nome | string | yes | ||
janela | JanelaFeedback | yes | ||
criterios | list of CriterioDto | yes | ||
meu | FeedbackFinalDto or null | yes | ||
podeEscrever | boolean | yes | ||
verTudo | boolean | yes |
On error: ErroApi model.
Example
curl -X GET "$API/turmas/{turmaId}/matriculas/{matriculaId}/feedback-final" -H "Authorization: Bearer $TOKEN"Save a student's final feedback
PUT /turmas/{turmaId}/matriculas/{matriculaId}/feedback-final
Access: Requires the capability AVALIAR over class (params.turmaId). Success status: 200.
Path parameters
| Parameter | Type | Required | Constraints | Description |
|---|---|---|---|---|
matriculaId | string (uuid) | yes | Enrollment id. | |
turmaId | string (uuid) | yes | Class id. |
Request body (FeedbackFinalEscrever)
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
notas | list of object | yes | 0–200 items | |
notas[].criterioId | string (uuid) | yes | ||
notas[].valor | integer or null | yes | ||
comentario | string | yes | 1–4000 characters | |
comentarioInterno | string or null | no | to 4000 characters |
Response
| Field | Type | Required | Constraints | Description |
|---|---|---|---|---|
matriculaId | string (uuid) | yes | ||
turma | object | yes | ||
turma.id | string (uuid) | yes | ||
turma.nome | string | yes | ||
turma.dataInicio | Data or null | yes | ||
turma.dataFim | Data or null | yes | ||
aluno | object | yes | ||
aluno.id | string (uuid) | yes | ||
aluno.nome | string | yes | ||
janela | JanelaFeedback | yes | ||
criterios | list of CriterioDto | yes | ||
meu | FeedbackFinalDto or null | yes | ||
podeEscrever | boolean | yes | ||
verTudo | boolean | yes |
On error: ErroApi model.
Example
curl -X PUT "$API/turmas/{turmaId}/matriculas/{matriculaId}/feedback-final" -H "Authorization: Bearer $TOKEN" -H "Content-Type: application/json" -d '{"notas":[{"criterioId":"0198a000-0000-7000-8000-000000000001","valor":1}],"comentario":"texto"}'